%define _unpackaged_files_terminate_build 1

%define theme_name school
%define theme_fullname lxde-settings-%theme_name-full

Name: %theme_fullname
Version: 0.1
Release: alt3
Packager: Radik Usupov <radik@altlinux.org>
BuildArch: noarch
Summary: Provides configuration for ALT Linux School NewLite-full
Provides: lxde-settings
Group: Graphical desktop/Other
License: %gpl2plus

BuildPreReq: rpm-build-licenses

## components used in this theme
Requires: fonts-ttf-dejavu
Requires: icon-theme-mist
Requires: gtk2-theme-simplicity
Requires: x-cursor-theme-Bluecurve
Requires: lxde-common
Requires: termit
Requires: firefox-settings-desktop
Requires: tray_eject_plus
Requires: librsvg

Source: lxde.tar.bz2

%description
Default graphics theme for LXDE ALTLinux School NewLite-full

%install
mkdir -p %buildroot/%_datadir
tar xvf %SOURCE0 -C %buildroot/%_datadir
mv %buildroot/%_datadir/lxde %buildroot/%_datadir/%theme_fullname

mkdir -p %buildroot/etc/alternatives/packages.d/
cat > %buildroot/etc/alternatives/packages.d/%theme_fullname << __EOF__
%_datadir/lxde %_datadir/%theme_fullname 10
__EOF__

%post
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
echo "@tray_eject_plus" >> "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
rm -f "$TMPFILE"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	echo "Hidden=true" >> "$DESKDIR"/"$dfile".desktop
    else
	echo "Warning: $DESKDIR/$dfile.desktop not exist"
    fi
done

%postun
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	grep -v "Hidden=true" "$DESKDIR"/"$dfile".desktop > "$TMPFILE"
	cat "$TMPFILE" > "$DESKDIR"/"$dfile".desktop
    fi
done
rm -f "$TMPFILE"

%files 
%config /etc/alternatives/packages.d/%theme_fullname
%_datadir/%theme_fullname

%changelog
* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.1-alt3
- Changes font requires

* Tue Jan 11 2011 Radik Usupov <radik@altlinux.org> 0.1-alt2
- Added requires
- Added apps configs
- Changes fonts

* Tue Dec 21 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1
- Initial build


